nvme_mi_admin_get_log_ana(9)

NAME
nvme_mi_admin_get_log_ana - Retrieve Asymmetric Namespace Access log page

SYNOPSIS
int nvme_mi_admin_get_log_ana (nvme_mi_ctrl_t ctrl , enum nvme_log_ana_lsp lsp , bool rae , __u64 offset , __u32 len , void *log );

ARGUMENTS

ctrl
    Controller to query

lsp Log specific, see enum nvme_get_log_ana_lsp

rae Retain asynchronous events

offset
    Offset to the start of the log page

len The allocated length of the log page

log User address to store the ana log

DESCRIPTION
This log consists of a header describing the log and descriptors containing the asymmetric namespace access information for ANA Groups that contain namespaces that are attached to the controller processing the command. See struct nvme_ana_log for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.